#include <iostream>
using namespace std;

int main()
{
	int x, y, a, b;
	cin >> a >> b;
	cin >> x >> y;
	if (x == a & y == b)
	{
		cout << "nijedan";
	}
	else if (x != a && y != b) cout << "?";
	else if (x != a && y == b) cout << "prvi";
	else if (x == a && y != b) cout << "drugi";

}